/*
 * blanco Framework
 * Copyright (C) 2004-2009 IGA Tosiki
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.sample.jsf.proxy;

import java.io.IOException;

import javax.el.ELContext;
import javax.el.ELResolver;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;

import blanco.sample.jsf.BlancoJsfSample2ModifyLogic;

/**
 * JSF の Managed Bean と実際の処理とをつなぐプロキシ・クラス。
 *
 */
@SuppressWarnings("serial")
public class BlancoJsfSample2LogicProxy extends String {
    /**
     * クラスをインスタンス化して処理を実行する際のエントリポイントです。
     *
     * @param event イベント。
     */
    public final void modify(final ActionEvent event) {
        final FacesContext ctx = FacesContext.getCurrentInstance();
        final ELContext elc = ctx.getELContext();
        final ELResolver rslvr = ctx.getApplication().getELResolver();

        // session から Managed Bean [integer] を取得します。
        final Integer argInteger = (Integer) rslvr.getValue(elc, null, "integer");

        // 以下のコードでコンパイル・エラーが発生する場合には、クラス [blanco.sample.jsf.BlancoJsfSample2ModifyLogicImpl] を新規に作成してください。
        final BlancoJsfSample2ModifyLogic logic = new blanco.sample.jsf.BlancoJsfSample2ModifyLogicImpl();

        try {
            logic.execute(this, argInteger);
        } catch (IllegalArgumentException ex) {
            ex.printStackTrace();
        } catch (IOException ex) {
            ex.printStackTrace();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}
